/*
 * Solution file
 */
package scanner;

import java.util.HashMap;

/**
 *
 * @author edwajohn
 */
public class State {

  final private String name;

  public static State create(String name) {
    return new State(name, false);
  }

  public static State createAccept(String name) {
    return new State(name, true);
  }

  private State(String name, boolean accept) {
    this.name = name;
  }

  public boolean isAccept(HashMap<State, String> tokenTypes) {
    return tokenTypes.containsKey(this);
  }

  public String toString() {
    return name;
  }

}
